Bug 168838 - Review Request: cpanspec
Review Request: cpanspec
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
http://ftp.kspei.com/pub/steve/rpms/c...
:
: 1129321 (view as bug list)
Depends On: 168831
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-20 11:43 EDT by Steven Pritchard
Modified: 2015-01-02 19:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 22:12:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-20 11:43:05 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/cpanspec/cpanspec.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/cpanspec-1.59-1.src.rpm
Description:
cpanspec generates spec files for Perl modules from CPAN for Fedora
Extras.  The quality of the spec file is our primary concern.  It is
assumed that maintainers will need to do some (hopefully small) amount
of work to clean up the generated spec file to make the package build
and to verify that all of the information contained in the spec file
is correct.

Note: I've been working on this for around a year and a half.  The most recent version includes options to download modules from your favorite CPAN mirror, generate source rpms, and even attempt builds.
Comment 1 Orion Poplawski 2005-10-11 18:36:14 EDT
Is this the proper group?

Group:          Development/Libraries

# rpmlint cpanspec
W: cpanspec no-url-tag

Guess we need an upstream repo even though this is a purely Fedora item?
Comment 2 Orion Poplawski 2005-12-20 17:27:05 EST
Steven - Do you still have any interest in packaging these?  Would be nice as I
use it to package CPAN modules.
Comment 3 Steven Pritchard 2005-12-21 10:54:58 EST
All I need is a review...  :-)
Comment 4 Orion Poplawski 2005-12-21 11:25:01 EST
(In reply to comment #3)
> All I need is a review...  :-)

See comment 1 for my first question.  I would suggest Development/Tools group
and I'm pretty sure we need an upstream source for tarballs for verification.
Comment 5 Steven Pritchard 2006-02-01 19:21:56 EST
http://ftp.kspei.com/pub/steve/rpms/cpanspec-1.59-2.src.rpm

* Wed Feb 01 2006 Steven Pritchard <steve@kspei.com> 1.59-2
- URL/Source0 on SourceForge.
- Use a more appropriate Group.
Comment 6 Orion Poplawski 2006-02-03 16:17:10 EST
Good:

- rpmlint checks return:
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL/Artistic) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Approved
Comment 7 Petr Pisar 2014-08-12 11:11:40 EDT
*** Bug 1129321 has been marked as a duplicate of this bug. ***
Comment 8 Luigi Iotti 2014-08-15 18:36:20 EDT
May I ask if Steve is going to maintain this package even in Epel7.
I built the current Epel6 src rpm (cpanspec-1.78-6.el6.src.rpm) in 7 and it seems to be working fine.
Comment 9 Steven Roberts 2014-10-12 23:46:00 EDT
not sure if you are referring to Steven Pritchard  or Steven Roberts (me).  I am guessing the former.
Comment 10 Luigi Iotti 2014-10-13 17:11:31 EDT
Yes, I was referring to Steven Pritchard. Sorry for the confusion, but the package maintainer is listed only as "steve" here https://apps.fedoraproject.org/packages/cpanspec/bugs/
Comment 11 Luigi Iotti 2014-10-13 17:42:20 EDT
Package Change Request
======================
Package Name: cpanspec
New Branches: epel7
Owners: Lux

Since Steve did not respond in about 2 months, I would like to ask if I may maintain the cpanspec package for epel7. Obviously Steve would be welcome shoud he respond in the future.
Comment 12 Petr Šabata 2014-12-01 11:39:15 EST
You forgot to set the fedora-cvs flag, Luigi :)
Since I'm now maintaining the package in el5/el6 and all the fc branches, I'm re-requesting this primarily for myself, with you as co-maintainer.

Let me know if you're interested in working on other branches as well.
Comment 13 Petr Šabata 2014-12-01 11:39:46 EST
Package Change Request
======================
Package Name: cpanspec
New Branches: epel7
Owners: psabata Lux
InitialCC: perl-sig
Comment 14 Jon Ciesla 2014-12-01 13:24:01 EST
Lux is not a valid FAS username.
Comment 15 Petr Šabata 2014-12-01 13:32:24 EST
Alright, just me then.

Package Change Request
======================
Package Name: cpanspec
New Branches: epel7
Owners: psabata
InitialCC: perl-sig
Comment 16 Petr Šabata 2014-12-01 13:37:38 EST
Oh, I see you created the branch, despite resetting the cvs flag.
Thanks and never mind then.
Comment 17 Luigi Iotti 2014-12-01 17:01:15 EST
(In reply to Petr Šabata from comment #12)
> You forgot to set the fedora-cvs flag, Luigi :)
> Since I'm now maintaining the package in el5/el6 and all the fc branches,
> I'm re-requesting this primarily for myself, with you as co-maintainer.
> 
> Let me know if you're interested in working on other branches as well.

Hmm I just wanted to have cpanspec in el7 as well. I would have been happy to contribute it, but it turns out I would absolutely need more experience in using this Bugzilla site. Thank you.
Comment 18 Petr Šabata 2014-12-02 04:11:53 EST
(In reply to Luigi Iotti from comment #17)
> Hmm I just wanted to have cpanspec in el7 as well.

I'll take care of it for now :)

> I would have been happy
> to contribute it, but it turns out I would absolutely need more experience
> in using this Bugzilla site. Thank you.

That's great to hear!  Don't worry, everybody had to learn in the beginning.
I've sent you some info on becoming a contributor in a mail.
Comment 19 Fedora Update System 2014-12-02 09:21:07 EST
cpanspec-1.78-19.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cpanspec-1.78-19.el7
Comment 20 Fedora Update System 2015-01-02 19:14:44 EST
cpanspec-1.78-19.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.